Bug 134308 - Fix various leaks, RetainPtrs should adopt allocs
Summary: Fix various leaks, RetainPtrs should adopt allocs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-25 14:54 PDT by Joseph Pecoraro
Modified: 2014-06-27 11:14 PDT (History)
7 users (show)

See Also:


Attachments
[PATCH] Proposed Fix (2.47 KB, patch)
2014-06-25 14:55 PDT, Joseph Pecoraro
ap: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joseph Pecoraro 2014-06-25 14:54:44 PDT
Fix a few leaks searching around WebKit2 code where RetainPtr ivars should adopt alloc objects.
Comment 1 Joseph Pecoraro 2014-06-25 14:55:43 PDT
Created attachment 233838 [details]
[PATCH] Proposed Fix
Comment 2 Alexey Proskuryakov 2014-06-26 23:02:55 PDT
Tim fixed one of these leaks in bug 134368 later. Can you please land the other part of the fix?
Comment 3 Tim Horton 2014-06-26 23:07:34 PDT
Heh, didn't know about this patch, sorry!
Comment 4 Joseph Pecoraro 2014-06-27 11:06:09 PDT
I can land today.
Comment 5 Joseph Pecoraro 2014-06-27 11:14:57 PDT
r170540: <http://trac.webkit.org/changeset/170540>